Subject: Re: vsdo_datapage.h WTF?

From: Anton Blanchard <[email-masked]>
Date: Sun, 8 Oct 2006 01:21:12 +1000

> ELF auxvec?

Could do, but there may end up being a lot of information we need to
export (L2/L3 caches etc). ia64 stuffed it all into sysfs (but didnt
make it generic which was a bit annoying - arch/ia64/kernel/topology.c).

One other thing that would be nice is a generic way to detect SMT
siblings.  We could make our /proc/cpuinfo match x86 in this regard, but
/proc/cpuinfo has so many subtle differences between architectures it is
becoming a pain to parse.

Anton